Revoke a connected agent
curl --request DELETE \
--url https://app.hookie.ai/admin/api/agents/{grant_id} \
--cookie hookie_session=const options = {method: 'DELETE', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/agents/{grant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/agents/{grant_id}"
headers = {"cookie": "hookie_session="}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Connected agents
Revoke a connected agent
DELETE
/
admin
/
api
/
agents
/
{grant_id}
Revoke a connected agent
curl --request DELETE \
--url https://app.hookie.ai/admin/api/agents/{grant_id} \
--cookie hookie_session=const options = {method: 'DELETE', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/agents/{grant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/agents/{grant_id}"
headers = {"cookie": "hookie_session="}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Revoked. Immediate and per-agent: the agent's next request is rejected with 401 rather than waiting for its WorkOS token to expire.
Available options:
true